#ifndef IRQ_H
#define IRQ_H

#include "xcpt.h"

#define MAX_NUM_IRQ				8

typedef void (*fp_irq_t)(struct xcptcontext * xcp);

int _irq_dispatch(struct xcptcontext * xcp);
void interrupt_register(int irq_num, fp_irq_t fp);
void interrupt_enable(int irq_num);
void interrupt_disable(int irq_num);

#endif // IRQ_H
